Skip to content

Create a Workbench for Existing Booking
deprecated

Request

Initiate a post-commit workbench to create a session for ticketing or updating an existing reservation. This is a prerequisite step for any transaction that modifies, updates, or tickets any PNR.

Security
bearerAuth
Path
Identifierstring, <= 128 charactersrequired

The Reservation Identifier or the Record Locator you would like to view and/or update

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Query
detailViewIndboolean

If true, ReservationDetail will be returned.

viewBrandCompleteInfoIndboolean

If true, Brand complete information will be returned in Reservation Response

viewBaggageDetailIndboolean

if true, full baggage information will be returned in Reservation Response

identifierTypestring(IdentifierTypeENUM)

The type of identifier key used to retrieve the reservation

Enum:"Reservation""Locator""SupplierLocator""DocumentNumber"
Example:identifierType=Locator
documentTypestring(DocumentTypeEnum)

When document is selected in IdentifierType, use documentType to identify the type of document

Enum ValueDescription
EMD

Electronic Miscellaneous document

MCO

Miscellaneous Charge order

Ticket

Ticket

TASF

Travel Agency Service Fee

Invoice

Invoice

Example:documentType=Ticket
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
curl -i -X POST \
  'https://developer.travelport.com/_mock/apis/flights/air/book/session/reservationworkbench/buildfromidentifier/49f58f5f-c443-43b4-9f5d-be405fd00a01?detailViewInd=true&viewBrandCompleteInfoInd=true&viewBaggageDetailInd=true&identifierType=Locator&documentType=Ticket' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'

Responses

OK - Successful Response - 200

Bodyapplication/json
ReservationResponseobject(ReservationResponse)

The response of a Create Reservation (Reference or Full Payload), Sync Reservation, Modify/Add Reservation, Create/Modify Passive Reservation, Retrieve Reservation, or Cancel Reservation endpoint. The structure detailed here is the same as for all of these API responses. For Post-Commit Workbench Create and Workbench Retrieve, the response is structured the same plus a workbench identifier. The information returned in the Reservation Retrieve response varies depending on the information that has been added to the reservation at the time of retrieve, whether the reservation has been ticketed, and whether the reservation was created using the Travelport TripServices APIs or another program.

Please note the requests for Workbench Commit (Create Reservation), Post-Commit Workbench Create, and Workbench Retrieve do not support the query parameters available in Reservation Retrieve and do not return the following:

  • any document override, accounting, historical, and DOCI remarks
  • any custom rules
  • brand attributes
  • baggage dimension and fee details
  • fare rules
  • ATPCO RouteHappy flight amenities
Response
{ "ReservationResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }